use strict;
use warnings FATAL => 'all';

use Apache::Test;
use Apache::TestUtil;
use Apache::TestRequest;

my @testcases = (
    ['/modules/data/SupportApache-small.png', "data:image/png;base64,[encoded data, 128796 characters]"],
);

plan tests => scalar @testcases * 2, need 'mod_data';

foreach my $t (@testcases) {
    ## Small query ##
    my $r = GET($t->[0]);

    # Checking for return code
    ok t_cmp($r->code, 200, "Checking return code is '200'");
    # Checking for content
    ok t_is_equal($r->content, $t->[1]);
}
